Skip to main content
`Ctrl`+`K`

# TaoADMMGetSpectralPenalty

Get the spectral penalty (mu) value

## Synopsis

    #include "petsctao.h"
    PetscErrorCode TaoADMMGetSpectralPenalty(Tao tao, PetscReal *mu)

Collective

## Input Parameter

- tao - the `Tao` solver context

## Output Parameter

- mu - spectral penalty

## See Also

`TaoADMMSetMinimumSpectralPenalty()`, `TaoADMMSetSpectralPenalty()`, `TAOADMM`

## Level

advanced

## Location

src/tao/constrained/impls/admm/admm.c

## Examples

src/tao/constrained/tutorials/tomographyADMM.c

Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages